import greenfoot.*;  // (World, Actor, GreenfootImage, and Greenfoot)
import java.util.List;
/**
 * Schaf - eine Klasse fr Schafe.
 * Schafe laufen ziellos umher und fressen das Gras nieder.
 *
 *
 * @author Ralf Punkenburg
 * @version 16.2.2007
 */

public class Schaf extends Actor
{
    private int gewicht;

    public Schaf() {
        gewicht = 100;
    }
    
    public void act() {
       fressen();
       laufen();
    }
    
   
    public void fressen() {
        Gras gras = (Gras)getOneObjectAtOffset(0, 0, Gras.class);
        if (gras != null && gras.essbar()) {
            gras.aufessen();
            gewicht += 10;
        }
        else gewicht -=10;
    }
    
    public void laufen() {
       int dx = 1 - Greenfoot.getRandomNumber(3);
       int dy = 1 - Greenfoot.getRandomNumber(3);
       int x = getX();
       int y = getY();
       if (x+dx>=0 && x+dx<25) x = x+dx;
       if (y+dy>=0 && y+dy<25) y = y+dy;
       setLocation(x, y);
    }

}